Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.sstable
Class SSTableLoader.Client

    java.lang.Object
      org.apache.cassandra.io.sstable.SSTableLoader.Client

Enclosing class:
  SSTableLoader

    public abstract static class SSTableLoader.Client

extends java.lang.Object

Constructor Summary
`SSTableLoader.Client()`

Method Summary
`protected void` | `addRangeForEndpoint(Range<Token> range, java.net.InetAddress endpoint)`
`java.util.Map<java.net.InetAddress,java.util.Collection<Range<Token>>>` | `getEndpointToRangesMap()`
`IPartitioner` | `getPartitioner()`
`abstract void` | `init(java.lang.String keyspace)` Initialize the client.
`protected void` | `setPartitioner(IPartitioner partitioner)`
`protected void` | `setPartitioner(java.lang.String partclass)`
`void` | `stop()` Stop the client.
`abstract boolean` | `validateColumnFamily(java.lang.String keyspace, java.lang.String cfName)` Validate that `keyspace` is an existing keyspace and `cfName` one of its existing column family.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSTableLoader.Client

    public SSTableLoader.Client()

Method Detail

### init

    public abstract void init(java.lang.String keyspace)

  Initialize the client. Perform any step necessary so that after the call to the this method: * partitioner is initialized * getEndpointToRangesMap() returns a correct map This method is guaranteed to be called before any other method of a client.

### stop

    public void stop()

  Stop the client.

### validateColumnFamily

    public abstract boolean validateColumnFamily(java.lang.String keyspace,
                                                 java.lang.String cfName)

  Validate that `keyspace` is an existing keyspace and `cfName` one of its existing column family.

### getEndpointToRangesMap

    public java.util.Map<java.net.InetAddress,java.util.Collection<Range<Token>>> getEndpointToRangesMap()

### setPartitioner

    protected void setPartitioner(java.lang.String partclass)
                           throws ConfigurationException

  Throws:
    `ConfigurationException`

### setPartitioner

    protected void setPartitioner(IPartitioner partitioner)
                           throws ConfigurationException

  Throws:
    `ConfigurationException`

### getPartitioner

    public IPartitioner getPartitioner()

### addRangeForEndpoint

    protected void addRangeForEndpoint(Range<Token> range,
                                       java.net.InetAddress endpoint)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation